# Returns a reference process from the system by its ID. This method will look up a reference process by the specified ID and return it back. Endpoint: GET /referenceProcesses/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the reference process to return. ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned. - `consistentRead` (string) Indicates the API should force a consistent read on the data source. ## Response 200 fields (application/json): - `application_notice_email` (object, required) - `application_notice_email.bcc` (string) Anyone that should be bcc'ed on the email - `application_notice_email.body` (string, required) The email body - `application_notice_email.cc` (string) Anyone that should be cc'ed on the email - `application_notice_email.from` (string) From email address - `application_notice_email.from_name` (string) From name - `application_notice_email.reply_to` (string) The reply to - `application_notice_email.subject` (string, required) The email subject - `award_id` (string, required) The id of the award - `contact_form_options` (object, required) - `contact_form_options.contact_form_id` (string, required) The default contact form to present to the user to verify the contact info before proceeding - `contact_form_options.html` (string) Text to show on the top of the form - `display_in_portal` (boolean) Whether or not to hide in the portal - `display_in_portal_as` (string) How to display this process in the portal - `enable_application_notice_email` (boolean) If true, an email is sent to the applicant notifying them that their application still requires a reference - `enable_reference_notification_email` (boolean) If true, an email is sent to the reference once the application is processes - `id` (string, required) The unique, string identifier of this reference - `is_active` (boolean) Whether or not this process is active - `name` (string, required) The name of the process - `organization_form_options` (object, required) - `organization_form_options.organization_form_id` (string, required) The default organization form to present to the user to verify the organization info before proceeding - `reference_form_id` (string, required) The form the reference should use - `reference_notification_email` (object, required) - `show_contact_form` (boolean) Whether or not to show a contact form - `show_organization_form` (boolean) Whether or not to show an organization form - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields